Skip to main content
GET
/
api
/
v2
/
email-verification
/
{email}
Check an email verification status
curl --request GET \
  --url https://api.instantly.ai/api/v2/email-verification/{email} \
  --header 'Authorization: Bearer <token>'
{
  "email": "example@example.com",
  "verification_status": "pending",
  "status": "success",
  "catch_all": true,
  "credits": 100,
  "credits_used": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

email
string<email>
required

The email address to verify

Example:

"user@example.com"

Response

The requested Email Verification

A single email verification

email
string
required

The email address to verify

Example:

"example@example.com"

verification_status
enum<string>
required

The verification status.

Available options:
pending,
verified,
invalid
Example:

"pending"

status
null | enum<string>

The request status. Do not use this field to determine the verification status. Please use verification_status instead to check the verification status

Available options:
success,
error
Example:

"success"

catch_all

Whether this is a catch-all email address

Available options:
true,
false
Example:

true

credits
null | number

The number of verification credits available after the verification

Example:

100

credits_used
null | number

The number of verification credits used

Example:

1